Discussion in 'Community Discussion' started by xBLADEx_IREAPER, Oct 27, 2013.

  1. I have been trying everything I can to play on the empire but I cannot because it keeps saying that the server is not updated yet. Can someone please help me?
  2. Empire doesn't have 1.7 yet. Change your profile to 1.6.4 to play
  3. For more info on how to change which version you're playing, see THIS guide. It might take anywhere from a few days to a week or two for EMC to update to 1.7, but in the meantime you can easily switch back and forth if you follow the linked steps. :)
    mba2012 and THE_LEGEND4 like this.